import csv
import matplotlib.pyplot as plt

xscale = []
temperatures = []
humidities = []
period = 12

with open('data.csv') as csvfile:
    readCSV = csv.reader(csvfile, delimiter=',')
    i = 1
    t = 1
    temp = 0.0
    hum = 0.0
    for row in readCSV:
        if (i <= period):                    # keep data in a buffer to average it and to get one measurement per minute
           temp = temp + float(row[1])
           hum = hum + float(row[2])
           i = i + 1
        else:
           xscale.append(t)
           temperatures.append(temp/period)
           humidities.append(hum/period)
           i = 1
           temp = 0
           hum = 0
           t = t + 1

plt.figure()           # a single container that contains all the objects representing axes, graphics, text, and labels.
plt.title('Proofing Box')

# Temperature graph
plt.subplot(211)
plt.plot(xscale,temperatures)
plt.ylabel('Temperature (Celcius)')

# Humidity graph
plt.subplot(212)
plt.plot(xscale,humidities)
plt.ylabel('Humidity (%)')

# Shared X axis
plt.xlabel('Minutes')
plt.legend()
plt.show()

